summaryrefslogtreecommitdiffstats
path: root/source/n
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-02-15 22:57:25 +0000
committer Eric Hameleers <alien@slackware.com>2020-02-16 08:59:47 +0100
commit6087aff6cae8d8d4c46ce086cb7b70a5af412d2b (patch)
tree315d763fbe104e144ea5707c76a0e1cf67fc5227 /source/n
parent7cde3ca9e7c5de666cc607e737f984a52f94e021 (diff)
downloadcurrent-6087aff6cae8d8d4c46ce086cb7b70a5af412d2b.tar.gz
current-6087aff6cae8d8d4c46ce086cb7b70a5af412d2b.tar.xz
Sat Feb 15 22:57:25 UTC 202020200215225725
a/libcgroup-0.41-x86_64-6.txz: Rebuilt. ap/mariadb-10.4.12-x86_64-2.txz: Rebuilt. d/Cython-0.29.15-x86_64-1.txz: Upgraded. d/cmake-3.16.4-x86_64-2.txz: Rebuilt. Recompiled against qt5-5.13.2. d/doxygen-1.8.17-x86_64-2.txz: Rebuilt. Recompiled against qt5-5.13.2. l/ConsoleKit2-1.2.1-x86_64-3.txz: Rebuilt. l/gnome-keyring-3.34.0-x86_64-2.txz: Rebuilt. l/imagemagick-7.0.9_23-x86_64-1.txz: Upgraded. l/polkit-0.116-x86_64-2.txz: Rebuilt. l/python-future-0.18.2-x86_64-1.txz: Added. This is needed by fetchmailconf and will probably see additional use as projects jump off of the sinking Python 2 ship. l/v4l-utils-1.18.0-x86_64-2.txz: Rebuilt. Recompiled against qt5-5.13.2. n/cifs-utils-6.10-x86_64-3.txz: Rebuilt. n/fetchmail-6.4.2-x86_64-1.txz: Upgraded. n/pinentry-1.1.0-x86_64-3.txz: Rebuilt. Recompiled against qt5-5.13.2. n/samba-4.11.6-x86_64-2.txz: Rebuilt. n/wpa_supplicant-2.9-x86_64-2.txz: Rebuilt. Recompiled against qt5-5.13.2. xap/xpdf-4.02-x86_64-3.txz: Rebuilt. Recompiled against qt5-5.13.2. testing/packages/PAM/ConsoleKit2-1.2.1-x86_64-3_pam.txz: Rebuilt. Put the pam security modules in /lib${LIBDIRSUFFIX}/security. Remove .la files in /lib${LIBDIRSUFFIX}/security. testing/packages/PAM/cifs-utils-6.10-x86_64-3_pam.txz: Rebuilt. Put the pam security modules in /lib${LIBDIRSUFFIX}/security. testing/packages/PAM/gnome-keyring-3.34.0-x86_64-2_pam.txz: Rebuilt. Put the pam security modules in /lib${LIBDIRSUFFIX}/security. Remove .la files in /lib${LIBDIRSUFFIX}/security. testing/packages/PAM/libcgroup-0.41-x86_64-6_pam.txz: Rebuilt. Put the pam security modules in /lib${LIBDIRSUFFIX}/security. Remove .la files in /lib${LIBDIRSUFFIX}/security. testing/packages/PAM/libpwquality-1.4.2-x86_64-2_pam.txz: Rebuilt. Put the pam security modules in /lib${LIBDIRSUFFIX}/security. Remove .la files in /lib${LIBDIRSUFFIX}/security. testing/packages/PAM/mariadb-10.4.12-x86_64-2_pam.txz: Rebuilt. Put the pam security modules in /lib${LIBDIRSUFFIX}/security. testing/packages/PAM/pam-1.3.1-x86_64-2_pam.txz: Rebuilt. Put the pam security modules in /lib${LIBDIRSUFFIX}/security to support multilib. Thanks to GazL. testing/packages/PAM/polkit-0.116-x86_64-2_pam.txz: Rebuilt. Rebuilt using --with-pam-module-dir=/lib${LIBDIRSUFFIX}/security. testing/packages/PAM/samba-4.11.6-x86_64-2_pam.txz: Rebuilt. Put the pam security modules in /lib${LIBDIRSUFFIX}/security.
Diffstat (limited to 'source/n')
-rwxr-xr-xsource/n/cifs-utils/cifs-utils.SlackBuild10
-rwxr-xr-xsource/n/fetchmail/fetchmail.SlackBuild13
-rwxr-xr-xsource/n/pinentry/pinentry.SlackBuild2
-rwxr-xr-xsource/n/samba/samba.SlackBuild4
-rwxr-xr-xsource/n/wpa_supplicant/wpa_supplicant.SlackBuild19
5 files changed, 34 insertions, 14 deletions
diff --git a/source/n/cifs-utils/cifs-utils.SlackBuild b/source/n/cifs-utils/cifs-utils.SlackBuild
index 58a2c8a4e..dbf860edf 100755
--- a/source/n/cifs-utils/cifs-utils.SlackBuild
+++ b/source/n/cifs-utils/cifs-utils.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cifs-utils
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -90,6 +90,13 @@ find . \
autoreconf -vif
+# Choose correct options depending on whether PAM is installed:
+if [ -L /lib${LIBDIRSUFFIX}/libpam.so.? ]; then
+ PAM_OPTIONS="--enable-pam --with-pamdir=/lib${LIBDIRSUFFIX}/security"
+else
+ PAM_OPTIONS=""
+fi
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -97,6 +104,7 @@ CFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
+ $PAM_OPTIONS \
--build=$ARCH-slackware-linux || exit 1
# Build and install:
diff --git a/source/n/fetchmail/fetchmail.SlackBuild b/source/n/fetchmail/fetchmail.SlackBuild
index c60bcad93..81a0fb70d 100755
--- a/source/n/fetchmail/fetchmail.SlackBuild
+++ b/source/n/fetchmail/fetchmail.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2016, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2016, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=fetchmail
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -64,14 +64,12 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf fetchmail-$VERSION
-tar xvf $CWD/fetchmail-$VERSION.tar.xz || exit 1
+tar xvf $CWD/fetchmail-$VERSION.tar.?z || exit 1
cd fetchmail-$VERSION || exit 1
# Patch for OpenSSL 1.1.1 compatibility:
zcat $CWD/fetchmail.openssl111.diff.gz | patch -p1 --verbose || exit 1
-# this is the sloppiest source tarball ever
-# [NOTE: *was*... the new maintainers are much better]
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -79,12 +77,16 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+export PYTHON=python3
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--mandir=/usr/man \
--enable-nls \
--with-ssl \
+ --with-kerberos5 \
+ --with-gssapi \
--program-prefix="" \
--program-suffix="" \
--build=$ARCH-slackware-linux
@@ -116,4 +118,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/fetchmail-$VERSION-$ARCH-$BUILD.txz
-
diff --git a/source/n/pinentry/pinentry.SlackBuild b/source/n/pinentry/pinentry.SlackBuild
index e2bd5722b..421b3d070 100755
--- a/source/n/pinentry/pinentry.SlackBuild
+++ b/source/n/pinentry/pinentry.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pinentry
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/n/samba/samba.SlackBuild b/source/n/samba/samba.SlackBuild
index c7e364d4f..8c09f50cf 100755
--- a/source/n/samba/samba.SlackBuild
+++ b/source/n/samba/samba.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=samba
VERSION=${VERSION:-$(echo samba-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
if [ -e $CWD/machine.conf ]; then
. $CWD/machine.conf ]
@@ -102,7 +102,7 @@ find . \
# Choose correct options depending on whether PAM is installed:
if [ -L /lib${LIBDIRSUFFIX}/libpam.so.? ]; then
- PAM_OPTIONS="--with-pam --with-pammodulesdir=/lib/security --with-system-mitkrb5 --with-experimental-mit-ad-dc"
+ PAM_OPTIONS="--with-pam --with-pammodulesdir=/lib${LIBDIRSUFFIX}/security --with-system-mitkrb5 --with-experimental-mit-ad-dc"
unset SHADOW_OPTIONS
else
unset PAM_OPTIONS
diff --git a/source/n/wpa_supplicant/wpa_supplicant.SlackBuild b/source/n/wpa_supplicant/wpa_supplicant.SlackBuild
index 2e3181dd0..61b993f81 100755
--- a/source/n/wpa_supplicant/wpa_supplicant.SlackBuild
+++ b/source/n/wpa_supplicant/wpa_supplicant.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2004-2008 Eric Hameleers, Eindhoven, NL
-# Copyright 2008-2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008-2020 Patrick J. Volkerding, Sebeka, MN, USA
# Permission to use, copy, modify, and distribute this software for
# any purpose with or without fee is hereby granted, provided that
# the above copyright notice and this permission notice appear in all
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=wpa_supplicant
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
SRCVERSION=$(printf $VERSION | tr _ -)
@@ -103,12 +103,23 @@ make $NUMJOBS \
BINDIR=/usr/sbin \
LIBDIR=/usr/lib${LIBDIRSUFFIX} || exit 1
-# Build the Qt4 GUI client
+# Build the Qt5 GUI client
+
+
+
+#The following directory name is labelled qt4, but is compatible with qt5.
+#pushd wpa_gui-qt4 &&
+#qmake wpa_gui.pro &&
+#make &&
+#popd
+
+pushd wpa_gui-qt4
+qmake-qt5 wpa_gui.pro
CFLAGS="$SLKCFLAGS" \
make $NUMJOBS \
- wpa_gui-qt4 \
BINDIR=/usr/sbin \
LIBDIR=/usr/lib${LIBDIRSUFFIX} || exit 1
+popd
# Make sure man pages are built
make -C doc/docbook man